## Add a new terminal

Creates a new terminal under the authenticated merchant account.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/add-terminal HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  name: string,
  external_id: string?,
  installation_id: string?,
  branch_name: string?,
  kiosk_mode: boolean?,
  delegated_terminal_id: string?,
}
```

Returns: string

## Request arguments

### `name` (string)

**Required**. Human-readable terminal name.

### `external_id` (string)

_Optional_. Your own identifier for the terminal.

### `installation_id` (string)

_Optional_. Optional installation to associate this terminal with.

### `branch_name` (string)

_Optional_. Optional branch name to associate this terminal with.

### `kiosk_mode` (boolean)

_Optional_. Whether to enable kiosk mode.

### `delegated_terminal_id` (string)

_Optional_. Optional terminal ID to delegate payment display to (customer-facing screen).

## Errors specific to this endpoint

### `NOT_FOUND`

The installation_id or delegated_terminal_id does not exist in this merchant account.

### `INVALID_ARGUMENT`

The delegated terminal already has a delegation configured, it is already used by another terminal, or kiosk_mode cannot be combined with delegated_terminal_id.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
